## golang-github-hashicorp-go-bexpr 0.1.2

=== Makefile ===
GOTEST_PKGS=$(shell go list ./... | grep -v examples)

BENCHTIME ?= 2s
BENCHTESTS ?= .

BENCHFULL?=0
ifeq (${BENCHFULL},1)
BENCHFULL_ARG=-bench-full -timeout 60m
else
BENCHFULL_ARG=
endif

TEST_VERBOSE?=0
ifeq (${TEST_VERBOSE},1)
TEST_VERBOSE_ARG=-v
else
TEST_VERBOSE_ARG=
endif

TEST_RESULTS?="/tmp/test-results"
grammar.go: grammar.peg
	@echo "Regenerating Parser"
	@go generate ./

generate: grammar.go

test: generate
	@go test $(TEST_VERBOSE_ARG) $(GOTEST_PKGS)

test-ci: generate
	@gotestsum --junitfile $(TEST_RESULTS)/gotestsum-report.xml -- $(GOTEST_PKGS)

bench: generate
	@go test $(TEST_VERBOSE_ARG) -run DONTRUNTESTS -bench $(BENCHTESTS) $(BENCHFULL_ARG) -benchtime=$(BENCHTIME) $(GOTEST_PKGS)

coverage: generate
	@go test -coverprofile /tmp/coverage.out $(GOTEST_PKGS)
	@go tool cover -html /tmp/coverage.out

fmt: generate
	@gofmt -w -s

examples: simple expr-parse expr-eval filter

simple:
	@go build ./examples/simple

expr-parse:
	@go build ./examples/expr-parse

expr-eval:
	@go build ./examples/expr-eval

filter:
	@go build ./examples/filter

deps:
	@go get github.com/mna/pigeon@master
	@go get golang.org/x/tools/cmd/goimports
	@go get golang.org/x/tools/cmd/cover
	@go mod tidy

.PHONY: generate test coverage fmt deps bench examples expr-parse expr-eval filter

=== debian/changelog ===
golang-github-hashicorp-go-bexpr (0.1.2-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.
  * Apply multi-arch hints. + golang-github-hashicorp-go-bexpr-dev: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 26 Nov 2022 11:51:20 +0000

golang-github-hashicorp-go-bexpr (0.1.2-2) unstable; urgency=medium

  * Standards-Version: 4.4.1.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 02 Jan 2020 14:22:36 +1100

golang-github-hashicorp-go-bexpr (0.1.2-1) unstable; urgency=medium

  * Initial release (Closes: #945750).

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 28 Nov 2019 12:36:00 +1100

=== debian/control ===
Source: golang-github-hashicorp-go-bexpr
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Dmitry Smirnov <onlyjob@debian.org>,
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends:
 debhelper-compat (= 12),
 dh-golang,
Build-Depends-Indep:
 golang-any,
 golang-github-stretchr-testify-dev,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-hashicorp-go-bexpr
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-hashicorp-go-bexpr.git
Homepage: https://github.com/hashicorp/go-bexpr
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/hashicorp/go-bexpr

Package: golang-github-hashicorp-go-bexpr-dev
Architecture: all
Depends:
 ${misc:Depends},
 golang-github-stretchr-testify-dev,
Multi-Arch: foreign
Description: generic boolean expression evaluation in Golang
 Bexpr is a Golang library to provide generic boolean expression evaluation
 and filtering for Go data structures.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_GOLANG_GO_GENERATE := 1

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install -- --no-binaries

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-hashicorp-go-bexpr-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/hashicorp/go-bexpr/tags .*/v?(\d\S*)\.tar\.gz
